--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "channel:"
    body: channel to join
  - !ruby/struct:SM::Flow::LI 
    label: "key:"
    body: optional channel key if channel is +s
  type: :NOTE
- !ruby/struct:SM::Flow::P 
  body: join a channel
full_name: Irc::Bot#join
is_singleton: false
name: join
params: (channel, key=nil)
visibility: public
